XScreenSaver(1)

NAME
deco - draw tacky 70s basement wall panelling

SYNOPSIS
deco [-display host:display.screen] [-foreground color] [-background color] [-window] [-root] [-mono] [-install] [-visual visual] [-delay seconds] [-max-depth int] [-min-width int] [-min-height int] [-cycle] [-no-cycle] [-cycle-delay]

DESCRIPTION
The deco program subdivides and colors rectangles randomly. It looks kind of like Brady-Bunch-era rec-room wall paneling. (Raven says: "this screensaver is ugly enough to peel paint.")

OPTIONS
deco accepts the following options:

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-mono
    If on a color display, pretend we're on a monochrome display.

-install
    Install a private colormap for the window.

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-delay seconds
    How long to wait before starting over. Default 5 seconds.

-max-depth integer
    How deep to subdivide. Default 12. Default 8.

-min-width integer
    -min-height integer The size of the smallest rectangle to draw. Default 20x20.

-cycle

-no-cycle
    Whether to do color cycling. Default False.

-cycle-delay usecs
    If color cycling, how often to change the colors. Default 1000000, or 1 second.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 1997 by Jamie Zawinski. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Jamie Zawinski <jwz@jwz.org>, 26-Apr-97, based on code by Michael D. Bayne <mdb@go2net.com>.